Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
Imports SearchProvider

Partial Class LoadTest_TestSQLServer
    Inherits System.Web.UI.Page

    Private _provider As ISearchProvider

    Private Property Provider() As ISearchProvider
        Get
            Return _provider
        End Get
        Set(ByVal value As ISearchProvider)
            _provider = value
        End Set
    End Property
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        On Error Resume Next
        ''################################
        ''TEST SQL SERVER BY USING SEARCH 
        ''WHICH COMES FROM SQL SERVER
        ''################################
        Me.Provider = New ProviderManager()

        Dim objresult As New SearchSupportResponse
        objresult = Me.Provider.SearchSupport("cable")

        If Not (objresult Is Nothing) Then
            If Not (objresult.Exception) Then
                Response.Write("SQLSERVER is Good" & "<br>")
            Else
                Response.Write("SQLSERVER is <b>Bad</b>" & "<br>")
            End If
        Else
            Response.Write("SQLSERVER is <b>Bad</b>" & "<br>")
        End If





    End Sub
End Class
